#ifndef XMLRPC_FORMAT_H
#define XMLRPC_FORMAT_H

char *xmlrpc_i4(int val);
char *xmlrpc_string(const char *val);
char *xmlrpc_member(const char *nam, char *val);
char *xmlrpc_struct(int nmemb, ...);
char *xmlrpc_struct2(int nmemb, ...);
char *xmlrpc_value(char *val);
char *xmlrpc_array(int nelm, ...);
char *xmlrpc_param(char *p);
void xmlrpc_request(char *buf, int bufsiz, const char *func, int narg, ...);
void xmlrpc_request2(char *buf, int bufsiz, short int *buflen, const char *func, int narg, ...);

#endif
